EXTRA_DIST=doxyfile.in getcvsversion.pl
BUILT_SOURCES=doxyfile

if BUILD_DOCUMENTATION
all-local:.html

.html: doxyfile
	${doxygen} doxyfile
	touch $@

clean-local:
	rm -f .html
	rm -rf html
	rm -rf doc
	rm -f *.log
else

all-local:
	@echo Build with doxygen is NOT enabled.

endif